MKTEMP(1)

NAME
mktemp - create a unique temporary file

SYNOPSIS
mktemp [-dqu] [-p tmpdir] [-t prefix]

DESCRIPTION
The mktemp utility creates a temporary file (or directory) with a unique name and prints the path to stdout.

-d  create a directory instead of a file

-p tmpdir
    specify the directory to create temporary files in

-q  do not print error messages on failure

-t prefix
    specify a prefix to append to the created files

-u  immediately remove created files and directories

SEE ALSO
mkdtemp(3), mkstemp(3), mktemp(3), environ(7)

AUTHOR
written by the JeanG3nie for HitchHiker Linux

HISTORY
The mktemp utility appeared in OpenBSD 2.1. A scratch rewrite appeared in FreeBSD 2.2.7 and was imported into NetBSD 1.5.